<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.gyee.frame.mapper.auto.Inputoroutputspeedtotal2Mapper">
  <resultMap id="BaseResultMap" type="com.gyee.frame.model.auto.Inputoroutputspeedtotal2">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <id column="ID" jdbcType="INTEGER" property="id" />
    <result column="WINDTURBINEID" jdbcType="VARCHAR" property="windturbineid" />
    <result column="RECORDDATE" jdbcType="DATE" property="recorddate" />
    <result column="DAYA1" jdbcType="DECIMAL" property="daya1" />
    <result column="DAYA2" jdbcType="DECIMAL" property="daya2" />
    <result column="DAYA3" jdbcType="DECIMAL" property="daya3" />
    <result column="DAYA4" jdbcType="DECIMAL" property="daya4" />
    <result column="DAYA5" jdbcType="DECIMAL" property="daya5" />
    <result column="DAYA6" jdbcType="DECIMAL" property="daya6" />
    <result column="DAYA7" jdbcType="DECIMAL" property="daya7" />
    <result column="DAYA8" jdbcType="DECIMAL" property="daya8" />
    <result column="DAYA9" jdbcType="DECIMAL" property="daya9" />
    <result column="DAYA10" jdbcType="DECIMAL" property="daya10" />
    <result column="DAYA11" jdbcType="DECIMAL" property="daya11" />
    <result column="DAYA12" jdbcType="DECIMAL" property="daya12" />
    <result column="DAYA13" jdbcType="DECIMAL" property="daya13" />
    <result column="DAYA14" jdbcType="DECIMAL" property="daya14" />
    <result column="DAYB1" jdbcType="DECIMAL" property="dayb1" />
    <result column="DAYB2" jdbcType="DECIMAL" property="dayb2" />
    <result column="DAYB3" jdbcType="DECIMAL" property="dayb3" />
    <result column="DAYB4" jdbcType="DECIMAL" property="dayb4" />
    <result column="DAYB5" jdbcType="DECIMAL" property="dayb5" />
    <result column="DAYB6" jdbcType="DECIMAL" property="dayb6" />
    <result column="DAYB7" jdbcType="DECIMAL" property="dayb7" />
    <result column="DAYB8" jdbcType="DECIMAL" property="dayb8" />
    <result column="DAYB9" jdbcType="DECIMAL" property="dayb9" />
    <result column="DAYB10" jdbcType="DECIMAL" property="dayb10" />
    <result column="DAYB11" jdbcType="DECIMAL" property="dayb11" />
    <result column="DAYB12" jdbcType="DECIMAL" property="dayb12" />
    <result column="DAYB13" jdbcType="DECIMAL" property="dayb13" />
    <result column="DAYB14" jdbcType="DECIMAL" property="dayb14" />
    <result column="MONTHA1" jdbcType="DECIMAL" property="montha1" />
    <result column="MONTHA2" jdbcType="DECIMAL" property="montha2" />
    <result column="MONTHA3" jdbcType="DECIMAL" property="montha3" />
    <result column="MONTHA4" jdbcType="DECIMAL" property="montha4" />
    <result column="MONTHA5" jdbcType="DECIMAL" property="montha5" />
    <result column="MONTHA6" jdbcType="DECIMAL" property="montha6" />
    <result column="MONTHA7" jdbcType="DECIMAL" property="montha7" />
    <result column="MONTHA8" jdbcType="DECIMAL" property="montha8" />
    <result column="MONTHA9" jdbcType="DECIMAL" property="montha9" />
    <result column="MONTHA10" jdbcType="DECIMAL" property="montha10" />
    <result column="MONTHA11" jdbcType="DECIMAL" property="montha11" />
    <result column="MONTHA12" jdbcType="DECIMAL" property="montha12" />
    <result column="MONTHA13" jdbcType="DECIMAL" property="montha13" />
    <result column="MONTHA14" jdbcType="DECIMAL" property="montha14" />
    <result column="MONTHB1" jdbcType="DECIMAL" property="monthb1" />
    <result column="MONTHB2" jdbcType="DECIMAL" property="monthb2" />
    <result column="MONTHB3" jdbcType="DECIMAL" property="monthb3" />
    <result column="MONTHB4" jdbcType="DECIMAL" property="monthb4" />
    <result column="MONTHB5" jdbcType="DECIMAL" property="monthb5" />
    <result column="MONTHB6" jdbcType="DECIMAL" property="monthb6" />
    <result column="MONTHB7" jdbcType="DECIMAL" property="monthb7" />
    <result column="MONTHB8" jdbcType="DECIMAL" property="monthb8" />
    <result column="MONTHB9" jdbcType="DECIMAL" property="monthb9" />
    <result column="MONTHB10" jdbcType="DECIMAL" property="monthb10" />
    <result column="MONTHB11" jdbcType="DECIMAL" property="monthb11" />
    <result column="MONTHB12" jdbcType="DECIMAL" property="monthb12" />
    <result column="MONTHB13" jdbcType="DECIMAL" property="monthb13" />
    <result column="MONTHB14" jdbcType="DECIMAL" property="monthb14" />
    <result column="COLUMN_63" jdbcType="VARCHAR" property="column63" />
    <result column="YEARA1" jdbcType="DECIMAL" property="yeara1" />
    <result column="YEARA2" jdbcType="DECIMAL" property="yeara2" />
    <result column="YEARA3" jdbcType="DECIMAL" property="yeara3" />
    <result column="YEARA4" jdbcType="DECIMAL" property="yeara4" />
    <result column="YEARA5" jdbcType="DECIMAL" property="yeara5" />
    <result column="YEARA6" jdbcType="DECIMAL" property="yeara6" />
    <result column="YEARA7" jdbcType="DECIMAL" property="yeara7" />
    <result column="YEARA8" jdbcType="DECIMAL" property="yeara8" />
    <result column="YEARA9" jdbcType="DECIMAL" property="yeara9" />
    <result column="YEARA10" jdbcType="DECIMAL" property="yeara10" />
    <result column="YEARA11" jdbcType="DECIMAL" property="yeara11" />
    <result column="YEARA12" jdbcType="DECIMAL" property="yeara12" />
    <result column="YEARA13" jdbcType="DECIMAL" property="yeara13" />
    <result column="YEARA14" jdbcType="DECIMAL" property="yeara14" />
    <result column="YEARB1" jdbcType="DECIMAL" property="yearb1" />
    <result column="YEARB2" jdbcType="DECIMAL" property="yearb2" />
    <result column="YEARB3" jdbcType="DECIMAL" property="yearb3" />
    <result column="YEARB4" jdbcType="DECIMAL" property="yearb4" />
    <result column="YEARB5" jdbcType="DECIMAL" property="yearb5" />
    <result column="YEARB6" jdbcType="DECIMAL" property="yearb6" />
    <result column="YEARB7" jdbcType="DECIMAL" property="yearb7" />
    <result column="YEARB8" jdbcType="DECIMAL" property="yearb8" />
    <result column="YEARB9" jdbcType="DECIMAL" property="yearb9" />
    <result column="YEARB10" jdbcType="DECIMAL" property="yearb10" />
    <result column="YEARB11" jdbcType="DECIMAL" property="yearb11" />
    <result column="YEARB12" jdbcType="DECIMAL" property="yearb12" />
    <result column="YEARB13" jdbcType="DECIMAL" property="yearb13" />
    <result column="YEARB14" jdbcType="DECIMAL" property="yearb14" />
    <result column="WINDPOWERSTATIONID" jdbcType="VARCHAR" property="windpowerstationid" />
    <result column="PROJECTID" jdbcType="VARCHAR" property="projectid" />
    <result column="LINEID" jdbcType="VARCHAR" property="lineid" />
  </resultMap>
  <sql id="Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Update_By_Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="example.oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Base_Column_List">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    ID, WINDTURBINEID, RECORDDATE, DAYA1, DAYA2, DAYA3, DAYA4, DAYA5, DAYA6, DAYA7, DAYA8, 
    DAYA9, DAYA10, DAYA11, DAYA12, DAYA13, DAYA14, DAYB1, DAYB2, DAYB3, DAYB4, DAYB5, 
    DAYB6, DAYB7, DAYB8, DAYB9, DAYB10, DAYB11, DAYB12, DAYB13, DAYB14, MONTHA1, MONTHA2, 
    MONTHA3, MONTHA4, MONTHA5, MONTHA6, MONTHA7, MONTHA8, MONTHA9, MONTHA10, MONTHA11, 
    MONTHA12, MONTHA13, MONTHA14, MONTHB1, MONTHB2, MONTHB3, MONTHB4, MONTHB5, MONTHB6, 
    MONTHB7, MONTHB8, MONTHB9, MONTHB10, MONTHB11, MONTHB12, MONTHB13, MONTHB14, COLUMN_63, 
    YEARA1, YEARA2, YEARA3, YEARA4, YEARA5, YEARA6, YEARA7, YEARA8, YEARA9, YEARA10, 
    YEARA11, YEARA12, YEARA13, YEARA14, YEARB1, YEARB2, YEARB3, YEARB4, YEARB5, YEARB6, 
    YEARB7, YEARB8, YEARB9, YEARB10, YEARB11, YEARB12, YEARB13, YEARB14, WINDPOWERSTATIONID, 
    PROJECTID, LINEID
  </sql>
  <select id="selectByExample" parameterType="com.gyee.frame.model.auto.Inputoroutputspeedtotal2Example" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select
    <if test="distinct">
      distinct
    </if>
    <include refid="Base_Column_List" />
    from inputoroutputspeedtotal2
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
    <if test="orderByClause != null">
      order by ${orderByClause}
    </if>
  </select>
  <select id="selectByPrimaryKey" parameterType="java.lang.Integer" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select 
    <include refid="Base_Column_List" />
    from inputoroutputspeedtotal2
    where ID = #{id,jdbcType=INTEGER}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Integer">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from inputoroutputspeedtotal2
    where ID = #{id,jdbcType=INTEGER}
  </delete>
  <delete id="deleteByExample" parameterType="com.gyee.frame.model.auto.Inputoroutputspeedtotal2Example">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from inputoroutputspeedtotal2
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </delete>
  <insert id="insert" parameterType="com.gyee.frame.model.auto.Inputoroutputspeedtotal2">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into inputoroutputspeedtotal2 (ID, WINDTURBINEID, RECORDDATE, 
      DAYA1, DAYA2, DAYA3, 
      DAYA4, DAYA5, DAYA6, 
      DAYA7, DAYA8, DAYA9, 
      DAYA10, DAYA11, DAYA12, 
      DAYA13, DAYA14, DAYB1, 
      DAYB2, DAYB3, DAYB4, 
      DAYB5, DAYB6, DAYB7, 
      DAYB8, DAYB9, DAYB10, 
      DAYB11, DAYB12, DAYB13, 
      DAYB14, MONTHA1, MONTHA2, 
      MONTHA3, MONTHA4, MONTHA5, 
      MONTHA6, MONTHA7, MONTHA8, 
      MONTHA9, MONTHA10, MONTHA11, 
      MONTHA12, MONTHA13, MONTHA14, 
      MONTHB1, MONTHB2, MONTHB3, 
      MONTHB4, MONTHB5, MONTHB6, 
      MONTHB7, MONTHB8, MONTHB9, 
      MONTHB10, MONTHB11, MONTHB12, 
      MONTHB13, MONTHB14, COLUMN_63, 
      YEARA1, YEARA2, YEARA3, 
      YEARA4, YEARA5, YEARA6, 
      YEARA7, YEARA8, YEARA9, 
      YEARA10, YEARA11, YEARA12, 
      YEARA13, YEARA14, YEARB1, 
      YEARB2, YEARB3, YEARB4, 
      YEARB5, YEARB6, YEARB7, 
      YEARB8, YEARB9, YEARB10, 
      YEARB11, YEARB12, YEARB13, 
      YEARB14, WINDPOWERSTATIONID, PROJECTID, 
      LINEID)
    values (#{id,jdbcType=INTEGER}, #{windturbineid,jdbcType=VARCHAR}, #{recorddate,jdbcType=DATE}, 
      #{daya1,jdbcType=DECIMAL}, #{daya2,jdbcType=DECIMAL}, #{daya3,jdbcType=DECIMAL}, 
      #{daya4,jdbcType=DECIMAL}, #{daya5,jdbcType=DECIMAL}, #{daya6,jdbcType=DECIMAL}, 
      #{daya7,jdbcType=DECIMAL}, #{daya8,jdbcType=DECIMAL}, #{daya9,jdbcType=DECIMAL}, 
      #{daya10,jdbcType=DECIMAL}, #{daya11,jdbcType=DECIMAL}, #{daya12,jdbcType=DECIMAL}, 
      #{daya13,jdbcType=DECIMAL}, #{daya14,jdbcType=DECIMAL}, #{dayb1,jdbcType=DECIMAL}, 
      #{dayb2,jdbcType=DECIMAL}, #{dayb3,jdbcType=DECIMAL}, #{dayb4,jdbcType=DECIMAL}, 
      #{dayb5,jdbcType=DECIMAL}, #{dayb6,jdbcType=DECIMAL}, #{dayb7,jdbcType=DECIMAL}, 
      #{dayb8,jdbcType=DECIMAL}, #{dayb9,jdbcType=DECIMAL}, #{dayb10,jdbcType=DECIMAL}, 
      #{dayb11,jdbcType=DECIMAL}, #{dayb12,jdbcType=DECIMAL}, #{dayb13,jdbcType=DECIMAL}, 
      #{dayb14,jdbcType=DECIMAL}, #{montha1,jdbcType=DECIMAL}, #{montha2,jdbcType=DECIMAL}, 
      #{montha3,jdbcType=DECIMAL}, #{montha4,jdbcType=DECIMAL}, #{montha5,jdbcType=DECIMAL}, 
      #{montha6,jdbcType=DECIMAL}, #{montha7,jdbcType=DECIMAL}, #{montha8,jdbcType=DECIMAL}, 
      #{montha9,jdbcType=DECIMAL}, #{montha10,jdbcType=DECIMAL}, #{montha11,jdbcType=DECIMAL}, 
      #{montha12,jdbcType=DECIMAL}, #{montha13,jdbcType=DECIMAL}, #{montha14,jdbcType=DECIMAL}, 
      #{monthb1,jdbcType=DECIMAL}, #{monthb2,jdbcType=DECIMAL}, #{monthb3,jdbcType=DECIMAL}, 
      #{monthb4,jdbcType=DECIMAL}, #{monthb5,jdbcType=DECIMAL}, #{monthb6,jdbcType=DECIMAL}, 
      #{monthb7,jdbcType=DECIMAL}, #{monthb8,jdbcType=DECIMAL}, #{monthb9,jdbcType=DECIMAL}, 
      #{monthb10,jdbcType=DECIMAL}, #{monthb11,jdbcType=DECIMAL}, #{monthb12,jdbcType=DECIMAL}, 
      #{monthb13,jdbcType=DECIMAL}, #{monthb14,jdbcType=DECIMAL}, #{column63,jdbcType=VARCHAR}, 
      #{yeara1,jdbcType=DECIMAL}, #{yeara2,jdbcType=DECIMAL}, #{yeara3,jdbcType=DECIMAL}, 
      #{yeara4,jdbcType=DECIMAL}, #{yeara5,jdbcType=DECIMAL}, #{yeara6,jdbcType=DECIMAL}, 
      #{yeara7,jdbcType=DECIMAL}, #{yeara8,jdbcType=DECIMAL}, #{yeara9,jdbcType=DECIMAL}, 
      #{yeara10,jdbcType=DECIMAL}, #{yeara11,jdbcType=DECIMAL}, #{yeara12,jdbcType=DECIMAL}, 
      #{yeara13,jdbcType=DECIMAL}, #{yeara14,jdbcType=DECIMAL}, #{yearb1,jdbcType=DECIMAL}, 
      #{yearb2,jdbcType=DECIMAL}, #{yearb3,jdbcType=DECIMAL}, #{yearb4,jdbcType=DECIMAL}, 
      #{yearb5,jdbcType=DECIMAL}, #{yearb6,jdbcType=DECIMAL}, #{yearb7,jdbcType=DECIMAL}, 
      #{yearb8,jdbcType=DECIMAL}, #{yearb9,jdbcType=DECIMAL}, #{yearb10,jdbcType=DECIMAL}, 
      #{yearb11,jdbcType=DECIMAL}, #{yearb12,jdbcType=DECIMAL}, #{yearb13,jdbcType=DECIMAL}, 
      #{yearb14,jdbcType=DECIMAL}, #{windpowerstationid,jdbcType=VARCHAR}, #{projectid,jdbcType=VARCHAR}, 
      #{lineid,jdbcType=VARCHAR})
  </insert>
  <insert id="insertSelective" parameterType="com.gyee.frame.model.auto.Inputoroutputspeedtotal2">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into inputoroutputspeedtotal2
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test="id != null">
        ID,
      </if>
      <if test="windturbineid != null">
        WINDTURBINEID,
      </if>
      <if test="recorddate != null">
        RECORDDATE,
      </if>
      <if test="daya1 != null">
        DAYA1,
      </if>
      <if test="daya2 != null">
        DAYA2,
      </if>
      <if test="daya3 != null">
        DAYA3,
      </if>
      <if test="daya4 != null">
        DAYA4,
      </if>
      <if test="daya5 != null">
        DAYA5,
      </if>
      <if test="daya6 != null">
        DAYA6,
      </if>
      <if test="daya7 != null">
        DAYA7,
      </if>
      <if test="daya8 != null">
        DAYA8,
      </if>
      <if test="daya9 != null">
        DAYA9,
      </if>
      <if test="daya10 != null">
        DAYA10,
      </if>
      <if test="daya11 != null">
        DAYA11,
      </if>
      <if test="daya12 != null">
        DAYA12,
      </if>
      <if test="daya13 != null">
        DAYA13,
      </if>
      <if test="daya14 != null">
        DAYA14,
      </if>
      <if test="dayb1 != null">
        DAYB1,
      </if>
      <if test="dayb2 != null">
        DAYB2,
      </if>
      <if test="dayb3 != null">
        DAYB3,
      </if>
      <if test="dayb4 != null">
        DAYB4,
      </if>
      <if test="dayb5 != null">
        DAYB5,
      </if>
      <if test="dayb6 != null">
        DAYB6,
      </if>
      <if test="dayb7 != null">
        DAYB7,
      </if>
      <if test="dayb8 != null">
        DAYB8,
      </if>
      <if test="dayb9 != null">
        DAYB9,
      </if>
      <if test="dayb10 != null">
        DAYB10,
      </if>
      <if test="dayb11 != null">
        DAYB11,
      </if>
      <if test="dayb12 != null">
        DAYB12,
      </if>
      <if test="dayb13 != null">
        DAYB13,
      </if>
      <if test="dayb14 != null">
        DAYB14,
      </if>
      <if test="montha1 != null">
        MONTHA1,
      </if>
      <if test="montha2 != null">
        MONTHA2,
      </if>
      <if test="montha3 != null">
        MONTHA3,
      </if>
      <if test="montha4 != null">
        MONTHA4,
      </if>
      <if test="montha5 != null">
        MONTHA5,
      </if>
      <if test="montha6 != null">
        MONTHA6,
      </if>
      <if test="montha7 != null">
        MONTHA7,
      </if>
      <if test="montha8 != null">
        MONTHA8,
      </if>
      <if test="montha9 != null">
        MONTHA9,
      </if>
      <if test="montha10 != null">
        MONTHA10,
      </if>
      <if test="montha11 != null">
        MONTHA11,
      </if>
      <if test="montha12 != null">
        MONTHA12,
      </if>
      <if test="montha13 != null">
        MONTHA13,
      </if>
      <if test="montha14 != null">
        MONTHA14,
      </if>
      <if test="monthb1 != null">
        MONTHB1,
      </if>
      <if test="monthb2 != null">
        MONTHB2,
      </if>
      <if test="monthb3 != null">
        MONTHB3,
      </if>
      <if test="monthb4 != null">
        MONTHB4,
      </if>
      <if test="monthb5 != null">
        MONTHB5,
      </if>
      <if test="monthb6 != null">
        MONTHB6,
      </if>
      <if test="monthb7 != null">
        MONTHB7,
      </if>
      <if test="monthb8 != null">
        MONTHB8,
      </if>
      <if test="monthb9 != null">
        MONTHB9,
      </if>
      <if test="monthb10 != null">
        MONTHB10,
      </if>
      <if test="monthb11 != null">
        MONTHB11,
      </if>
      <if test="monthb12 != null">
        MONTHB12,
      </if>
      <if test="monthb13 != null">
        MONTHB13,
      </if>
      <if test="monthb14 != null">
        MONTHB14,
      </if>
      <if test="column63 != null">
        COLUMN_63,
      </if>
      <if test="yeara1 != null">
        YEARA1,
      </if>
      <if test="yeara2 != null">
        YEARA2,
      </if>
      <if test="yeara3 != null">
        YEARA3,
      </if>
      <if test="yeara4 != null">
        YEARA4,
      </if>
      <if test="yeara5 != null">
        YEARA5,
      </if>
      <if test="yeara6 != null">
        YEARA6,
      </if>
      <if test="yeara7 != null">
        YEARA7,
      </if>
      <if test="yeara8 != null">
        YEARA8,
      </if>
      <if test="yeara9 != null">
        YEARA9,
      </if>
      <if test="yeara10 != null">
        YEARA10,
      </if>
      <if test="yeara11 != null">
        YEARA11,
      </if>
      <if test="yeara12 != null">
        YEARA12,
      </if>
      <if test="yeara13 != null">
        YEARA13,
      </if>
      <if test="yeara14 != null">
        YEARA14,
      </if>
      <if test="yearb1 != null">
        YEARB1,
      </if>
      <if test="yearb2 != null">
        YEARB2,
      </if>
      <if test="yearb3 != null">
        YEARB3,
      </if>
      <if test="yearb4 != null">
        YEARB4,
      </if>
      <if test="yearb5 != null">
        YEARB5,
      </if>
      <if test="yearb6 != null">
        YEARB6,
      </if>
      <if test="yearb7 != null">
        YEARB7,
      </if>
      <if test="yearb8 != null">
        YEARB8,
      </if>
      <if test="yearb9 != null">
        YEARB9,
      </if>
      <if test="yearb10 != null">
        YEARB10,
      </if>
      <if test="yearb11 != null">
        YEARB11,
      </if>
      <if test="yearb12 != null">
        YEARB12,
      </if>
      <if test="yearb13 != null">
        YEARB13,
      </if>
      <if test="yearb14 != null">
        YEARB14,
      </if>
      <if test="windpowerstationid != null">
        WINDPOWERSTATIONID,
      </if>
      <if test="projectid != null">
        PROJECTID,
      </if>
      <if test="lineid != null">
        LINEID,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides=",">
      <if test="id != null">
        #{id,jdbcType=INTEGER},
      </if>
      <if test="windturbineid != null">
        #{windturbineid,jdbcType=VARCHAR},
      </if>
      <if test="recorddate != null">
        #{recorddate,jdbcType=DATE},
      </if>
      <if test="daya1 != null">
        #{daya1,jdbcType=DECIMAL},
      </if>
      <if test="daya2 != null">
        #{daya2,jdbcType=DECIMAL},
      </if>
      <if test="daya3 != null">
        #{daya3,jdbcType=DECIMAL},
      </if>
      <if test="daya4 != null">
        #{daya4,jdbcType=DECIMAL},
      </if>
      <if test="daya5 != null">
        #{daya5,jdbcType=DECIMAL},
      </if>
      <if test="daya6 != null">
        #{daya6,jdbcType=DECIMAL},
      </if>
      <if test="daya7 != null">
        #{daya7,jdbcType=DECIMAL},
      </if>
      <if test="daya8 != null">
        #{daya8,jdbcType=DECIMAL},
      </if>
      <if test="daya9 != null">
        #{daya9,jdbcType=DECIMAL},
      </if>
      <if test="daya10 != null">
        #{daya10,jdbcType=DECIMAL},
      </if>
      <if test="daya11 != null">
        #{daya11,jdbcType=DECIMAL},
      </if>
      <if test="daya12 != null">
        #{daya12,jdbcType=DECIMAL},
      </if>
      <if test="daya13 != null">
        #{daya13,jdbcType=DECIMAL},
      </if>
      <if test="daya14 != null">
        #{daya14,jdbcType=DECIMAL},
      </if>
      <if test="dayb1 != null">
        #{dayb1,jdbcType=DECIMAL},
      </if>
      <if test="dayb2 != null">
        #{dayb2,jdbcType=DECIMAL},
      </if>
      <if test="dayb3 != null">
        #{dayb3,jdbcType=DECIMAL},
      </if>
      <if test="dayb4 != null">
        #{dayb4,jdbcType=DECIMAL},
      </if>
      <if test="dayb5 != null">
        #{dayb5,jdbcType=DECIMAL},
      </if>
      <if test="dayb6 != null">
        #{dayb6,jdbcType=DECIMAL},
      </if>
      <if test="dayb7 != null">
        #{dayb7,jdbcType=DECIMAL},
      </if>
      <if test="dayb8 != null">
        #{dayb8,jdbcType=DECIMAL},
      </if>
      <if test="dayb9 != null">
        #{dayb9,jdbcType=DECIMAL},
      </if>
      <if test="dayb10 != null">
        #{dayb10,jdbcType=DECIMAL},
      </if>
      <if test="dayb11 != null">
        #{dayb11,jdbcType=DECIMAL},
      </if>
      <if test="dayb12 != null">
        #{dayb12,jdbcType=DECIMAL},
      </if>
      <if test="dayb13 != null">
        #{dayb13,jdbcType=DECIMAL},
      </if>
      <if test="dayb14 != null">
        #{dayb14,jdbcType=DECIMAL},
      </if>
      <if test="montha1 != null">
        #{montha1,jdbcType=DECIMAL},
      </if>
      <if test="montha2 != null">
        #{montha2,jdbcType=DECIMAL},
      </if>
      <if test="montha3 != null">
        #{montha3,jdbcType=DECIMAL},
      </if>
      <if test="montha4 != null">
        #{montha4,jdbcType=DECIMAL},
      </if>
      <if test="montha5 != null">
        #{montha5,jdbcType=DECIMAL},
      </if>
      <if test="montha6 != null">
        #{montha6,jdbcType=DECIMAL},
      </if>
      <if test="montha7 != null">
        #{montha7,jdbcType=DECIMAL},
      </if>
      <if test="montha8 != null">
        #{montha8,jdbcType=DECIMAL},
      </if>
      <if test="montha9 != null">
        #{montha9,jdbcType=DECIMAL},
      </if>
      <if test="montha10 != null">
        #{montha10,jdbcType=DECIMAL},
      </if>
      <if test="montha11 != null">
        #{montha11,jdbcType=DECIMAL},
      </if>
      <if test="montha12 != null">
        #{montha12,jdbcType=DECIMAL},
      </if>
      <if test="montha13 != null">
        #{montha13,jdbcType=DECIMAL},
      </if>
      <if test="montha14 != null">
        #{montha14,jdbcType=DECIMAL},
      </if>
      <if test="monthb1 != null">
        #{monthb1,jdbcType=DECIMAL},
      </if>
      <if test="monthb2 != null">
        #{monthb2,jdbcType=DECIMAL},
      </if>
      <if test="monthb3 != null">
        #{monthb3,jdbcType=DECIMAL},
      </if>
      <if test="monthb4 != null">
        #{monthb4,jdbcType=DECIMAL},
      </if>
      <if test="monthb5 != null">
        #{monthb5,jdbcType=DECIMAL},
      </if>
      <if test="monthb6 != null">
        #{monthb6,jdbcType=DECIMAL},
      </if>
      <if test="monthb7 != null">
        #{monthb7,jdbcType=DECIMAL},
      </if>
      <if test="monthb8 != null">
        #{monthb8,jdbcType=DECIMAL},
      </if>
      <if test="monthb9 != null">
        #{monthb9,jdbcType=DECIMAL},
      </if>
      <if test="monthb10 != null">
        #{monthb10,jdbcType=DECIMAL},
      </if>
      <if test="monthb11 != null">
        #{monthb11,jdbcType=DECIMAL},
      </if>
      <if test="monthb12 != null">
        #{monthb12,jdbcType=DECIMAL},
      </if>
      <if test="monthb13 != null">
        #{monthb13,jdbcType=DECIMAL},
      </if>
      <if test="monthb14 != null">
        #{monthb14,jdbcType=DECIMAL},
      </if>
      <if test="column63 != null">
        #{column63,jdbcType=VARCHAR},
      </if>
      <if test="yeara1 != null">
        #{yeara1,jdbcType=DECIMAL},
      </if>
      <if test="yeara2 != null">
        #{yeara2,jdbcType=DECIMAL},
      </if>
      <if test="yeara3 != null">
        #{yeara3,jdbcType=DECIMAL},
      </if>
      <if test="yeara4 != null">
        #{yeara4,jdbcType=DECIMAL},
      </if>
      <if test="yeara5 != null">
        #{yeara5,jdbcType=DECIMAL},
      </if>
      <if test="yeara6 != null">
        #{yeara6,jdbcType=DECIMAL},
      </if>
      <if test="yeara7 != null">
        #{yeara7,jdbcType=DECIMAL},
      </if>
      <if test="yeara8 != null">
        #{yeara8,jdbcType=DECIMAL},
      </if>
      <if test="yeara9 != null">
        #{yeara9,jdbcType=DECIMAL},
      </if>
      <if test="yeara10 != null">
        #{yeara10,jdbcType=DECIMAL},
      </if>
      <if test="yeara11 != null">
        #{yeara11,jdbcType=DECIMAL},
      </if>
      <if test="yeara12 != null">
        #{yeara12,jdbcType=DECIMAL},
      </if>
      <if test="yeara13 != null">
        #{yeara13,jdbcType=DECIMAL},
      </if>
      <if test="yeara14 != null">
        #{yeara14,jdbcType=DECIMAL},
      </if>
      <if test="yearb1 != null">
        #{yearb1,jdbcType=DECIMAL},
      </if>
      <if test="yearb2 != null">
        #{yearb2,jdbcType=DECIMAL},
      </if>
      <if test="yearb3 != null">
        #{yearb3,jdbcType=DECIMAL},
      </if>
      <if test="yearb4 != null">
        #{yearb4,jdbcType=DECIMAL},
      </if>
      <if test="yearb5 != null">
        #{yearb5,jdbcType=DECIMAL},
      </if>
      <if test="yearb6 != null">
        #{yearb6,jdbcType=DECIMAL},
      </if>
      <if test="yearb7 != null">
        #{yearb7,jdbcType=DECIMAL},
      </if>
      <if test="yearb8 != null">
        #{yearb8,jdbcType=DECIMAL},
      </if>
      <if test="yearb9 != null">
        #{yearb9,jdbcType=DECIMAL},
      </if>
      <if test="yearb10 != null">
        #{yearb10,jdbcType=DECIMAL},
      </if>
      <if test="yearb11 != null">
        #{yearb11,jdbcType=DECIMAL},
      </if>
      <if test="yearb12 != null">
        #{yearb12,jdbcType=DECIMAL},
      </if>
      <if test="yearb13 != null">
        #{yearb13,jdbcType=DECIMAL},
      </if>
      <if test="yearb14 != null">
        #{yearb14,jdbcType=DECIMAL},
      </if>
      <if test="windpowerstationid != null">
        #{windpowerstationid,jdbcType=VARCHAR},
      </if>
      <if test="projectid != null">
        #{projectid,jdbcType=VARCHAR},
      </if>
      <if test="lineid != null">
        #{lineid,jdbcType=VARCHAR},
      </if>
    </trim>
  </insert>
  <select id="countByExample" parameterType="com.gyee.frame.model.auto.Inputoroutputspeedtotal2Example" resultType="java.lang.Long">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select count(*) from inputoroutputspeedtotal2
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </select>
  <update id="updateByExampleSelective" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update inputoroutputspeedtotal2
    <set>
      <if test="record.id != null">
        ID = #{record.id,jdbcType=INTEGER},
      </if>
      <if test="record.windturbineid != null">
        WINDTURBINEID = #{record.windturbineid,jdbcType=VARCHAR},
      </if>
      <if test="record.recorddate != null">
        RECORDDATE = #{record.recorddate,jdbcType=DATE},
      </if>
      <if test="record.daya1 != null">
        DAYA1 = #{record.daya1,jdbcType=DECIMAL},
      </if>
      <if test="record.daya2 != null">
        DAYA2 = #{record.daya2,jdbcType=DECIMAL},
      </if>
      <if test="record.daya3 != null">
        DAYA3 = #{record.daya3,jdbcType=DECIMAL},
      </if>
      <if test="record.daya4 != null">
        DAYA4 = #{record.daya4,jdbcType=DECIMAL},
      </if>
      <if test="record.daya5 != null">
        DAYA5 = #{record.daya5,jdbcType=DECIMAL},
      </if>
      <if test="record.daya6 != null">
        DAYA6 = #{record.daya6,jdbcType=DECIMAL},
      </if>
      <if test="record.daya7 != null">
        DAYA7 = #{record.daya7,jdbcType=DECIMAL},
      </if>
      <if test="record.daya8 != null">
        DAYA8 = #{record.daya8,jdbcType=DECIMAL},
      </if>
      <if test="record.daya9 != null">
        DAYA9 = #{record.daya9,jdbcType=DECIMAL},
      </if>
      <if test="record.daya10 != null">
        DAYA10 = #{record.daya10,jdbcType=DECIMAL},
      </if>
      <if test="record.daya11 != null">
        DAYA11 = #{record.daya11,jdbcType=DECIMAL},
      </if>
      <if test="record.daya12 != null">
        DAYA12 = #{record.daya12,jdbcType=DECIMAL},
      </if>
      <if test="record.daya13 != null">
        DAYA13 = #{record.daya13,jdbcType=DECIMAL},
      </if>
      <if test="record.daya14 != null">
        DAYA14 = #{record.daya14,jdbcType=DECIMAL},
      </if>
      <if test="record.dayb1 != null">
        DAYB1 = #{record.dayb1,jdbcType=DECIMAL},
      </if>
      <if test="record.dayb2 != null">
        DAYB2 = #{record.dayb2,jdbcType=DECIMAL},
      </if>
      <if test="record.dayb3 != null">
        DAYB3 = #{record.dayb3,jdbcType=DECIMAL},
      </if>
      <if test="record.dayb4 != null">
        DAYB4 = #{record.dayb4,jdbcType=DECIMAL},
      </if>
      <if test="record.dayb5 != null">
        DAYB5 = #{record.dayb5,jdbcType=DECIMAL},
      </if>
      <if test="record.dayb6 != null">
        DAYB6 = #{record.dayb6,jdbcType=DECIMAL},
      </if>
      <if test="record.dayb7 != null">
        DAYB7 = #{record.dayb7,jdbcType=DECIMAL},
      </if>
      <if test="record.dayb8 != null">
        DAYB8 = #{record.dayb8,jdbcType=DECIMAL},
      </if>
      <if test="record.dayb9 != null">
        DAYB9 = #{record.dayb9,jdbcType=DECIMAL},
      </if>
      <if test="record.dayb10 != null">
        DAYB10 = #{record.dayb10,jdbcType=DECIMAL},
      </if>
      <if test="record.dayb11 != null">
        DAYB11 = #{record.dayb11,jdbcType=DECIMAL},
      </if>
      <if test="record.dayb12 != null">
        DAYB12 = #{record.dayb12,jdbcType=DECIMAL},
      </if>
      <if test="record.dayb13 != null">
        DAYB13 = #{record.dayb13,jdbcType=DECIMAL},
      </if>
      <if test="record.dayb14 != null">
        DAYB14 = #{record.dayb14,jdbcType=DECIMAL},
      </if>
      <if test="record.montha1 != null">
        MONTHA1 = #{record.montha1,jdbcType=DECIMAL},
      </if>
      <if test="record.montha2 != null">
        MONTHA2 = #{record.montha2,jdbcType=DECIMAL},
      </if>
      <if test="record.montha3 != null">
        MONTHA3 = #{record.montha3,jdbcType=DECIMAL},
      </if>
      <if test="record.montha4 != null">
        MONTHA4 = #{record.montha4,jdbcType=DECIMAL},
      </if>
      <if test="record.montha5 != null">
        MONTHA5 = #{record.montha5,jdbcType=DECIMAL},
      </if>
      <if test="record.montha6 != null">
        MONTHA6 = #{record.montha6,jdbcType=DECIMAL},
      </if>
      <if test="record.montha7 != null">
        MONTHA7 = #{record.montha7,jdbcType=DECIMAL},
      </if>
      <if test="record.montha8 != null">
        MONTHA8 = #{record.montha8,jdbcType=DECIMAL},
      </if>
      <if test="record.montha9 != null">
        MONTHA9 = #{record.montha9,jdbcType=DECIMAL},
      </if>
      <if test="record.montha10 != null">
        MONTHA10 = #{record.montha10,jdbcType=DECIMAL},
      </if>
      <if test="record.montha11 != null">
        MONTHA11 = #{record.montha11,jdbcType=DECIMAL},
      </if>
      <if test="record.montha12 != null">
        MONTHA12 = #{record.montha12,jdbcType=DECIMAL},
      </if>
      <if test="record.montha13 != null">
        MONTHA13 = #{record.montha13,jdbcType=DECIMAL},
      </if>
      <if test="record.montha14 != null">
        MONTHA14 = #{record.montha14,jdbcType=DECIMAL},
      </if>
      <if test="record.monthb1 != null">
        MONTHB1 = #{record.monthb1,jdbcType=DECIMAL},
      </if>
      <if test="record.monthb2 != null">
        MONTHB2 = #{record.monthb2,jdbcType=DECIMAL},
      </if>
      <if test="record.monthb3 != null">
        MONTHB3 = #{record.monthb3,jdbcType=DECIMAL},
      </if>
      <if test="record.monthb4 != null">
        MONTHB4 = #{record.monthb4,jdbcType=DECIMAL},
      </if>
      <if test="record.monthb5 != null">
        MONTHB5 = #{record.monthb5,jdbcType=DECIMAL},
      </if>
      <if test="record.monthb6 != null">
        MONTHB6 = #{record.monthb6,jdbcType=DECIMAL},
      </if>
      <if test="record.monthb7 != null">
        MONTHB7 = #{record.monthb7,jdbcType=DECIMAL},
      </if>
      <if test="record.monthb8 != null">
        MONTHB8 = #{record.monthb8,jdbcType=DECIMAL},
      </if>
      <if test="record.monthb9 != null">
        MONTHB9 = #{record.monthb9,jdbcType=DECIMAL},
      </if>
      <if test="record.monthb10 != null">
        MONTHB10 = #{record.monthb10,jdbcType=DECIMAL},
      </if>
      <if test="record.monthb11 != null">
        MONTHB11 = #{record.monthb11,jdbcType=DECIMAL},
      </if>
      <if test="record.monthb12 != null">
        MONTHB12 = #{record.monthb12,jdbcType=DECIMAL},
      </if>
      <if test="record.monthb13 != null">
        MONTHB13 = #{record.monthb13,jdbcType=DECIMAL},
      </if>
      <if test="record.monthb14 != null">
        MONTHB14 = #{record.monthb14,jdbcType=DECIMAL},
      </if>
      <if test="record.column63 != null">
        COLUMN_63 = #{record.column63,jdbcType=VARCHAR},
      </if>
      <if test="record.yeara1 != null">
        YEARA1 = #{record.yeara1,jdbcType=DECIMAL},
      </if>
      <if test="record.yeara2 != null">
        YEARA2 = #{record.yeara2,jdbcType=DECIMAL},
      </if>
      <if test="record.yeara3 != null">
        YEARA3 = #{record.yeara3,jdbcType=DECIMAL},
      </if>
      <if test="record.yeara4 != null">
        YEARA4 = #{record.yeara4,jdbcType=DECIMAL},
      </if>
      <if test="record.yeara5 != null">
        YEARA5 = #{record.yeara5,jdbcType=DECIMAL},
      </if>
      <if test="record.yeara6 != null">
        YEARA6 = #{record.yeara6,jdbcType=DECIMAL},
      </if>
      <if test="record.yeara7 != null">
        YEARA7 = #{record.yeara7,jdbcType=DECIMAL},
      </if>
      <if test="record.yeara8 != null">
        YEARA8 = #{record.yeara8,jdbcType=DECIMAL},
      </if>
      <if test="record.yeara9 != null">
        YEARA9 = #{record.yeara9,jdbcType=DECIMAL},
      </if>
      <if test="record.yeara10 != null">
        YEARA10 = #{record.yeara10,jdbcType=DECIMAL},
      </if>
      <if test="record.yeara11 != null">
        YEARA11 = #{record.yeara11,jdbcType=DECIMAL},
      </if>
      <if test="record.yeara12 != null">
        YEARA12 = #{record.yeara12,jdbcType=DECIMAL},
      </if>
      <if test="record.yeara13 != null">
        YEARA13 = #{record.yeara13,jdbcType=DECIMAL},
      </if>
      <if test="record.yeara14 != null">
        YEARA14 = #{record.yeara14,jdbcType=DECIMAL},
      </if>
      <if test="record.yearb1 != null">
        YEARB1 = #{record.yearb1,jdbcType=DECIMAL},
      </if>
      <if test="record.yearb2 != null">
        YEARB2 = #{record.yearb2,jdbcType=DECIMAL},
      </if>
      <if test="record.yearb3 != null">
        YEARB3 = #{record.yearb3,jdbcType=DECIMAL},
      </if>
      <if test="record.yearb4 != null">
        YEARB4 = #{record.yearb4,jdbcType=DECIMAL},
      </if>
      <if test="record.yearb5 != null">
        YEARB5 = #{record.yearb5,jdbcType=DECIMAL},
      </if>
      <if test="record.yearb6 != null">
        YEARB6 = #{record.yearb6,jdbcType=DECIMAL},
      </if>
      <if test="record.yearb7 != null">
        YEARB7 = #{record.yearb7,jdbcType=DECIMAL},
      </if>
      <if test="record.yearb8 != null">
        YEARB8 = #{record.yearb8,jdbcType=DECIMAL},
      </if>
      <if test="record.yearb9 != null">
        YEARB9 = #{record.yearb9,jdbcType=DECIMAL},
      </if>
      <if test="record.yearb10 != null">
        YEARB10 = #{record.yearb10,jdbcType=DECIMAL},
      </if>
      <if test="record.yearb11 != null">
        YEARB11 = #{record.yearb11,jdbcType=DECIMAL},
      </if>
      <if test="record.yearb12 != null">
        YEARB12 = #{record.yearb12,jdbcType=DECIMAL},
      </if>
      <if test="record.yearb13 != null">
        YEARB13 = #{record.yearb13,jdbcType=DECIMAL},
      </if>
      <if test="record.yearb14 != null">
        YEARB14 = #{record.yearb14,jdbcType=DECIMAL},
      </if>
      <if test="record.windpowerstationid != null">
        WINDPOWERSTATIONID = #{record.windpowerstationid,jdbcType=VARCHAR},
      </if>
      <if test="record.projectid != null">
        PROJECTID = #{record.projectid,jdbcType=VARCHAR},
      </if>
      <if test="record.lineid != null">
        LINEID = #{record.lineid,jdbcType=VARCHAR},
      </if>
    </set>
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByExample" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update inputoroutputspeedtotal2
    set ID = #{record.id,jdbcType=INTEGER},
      WINDTURBINEID = #{record.windturbineid,jdbcType=VARCHAR},
      RECORDDATE = #{record.recorddate,jdbcType=DATE},
      DAYA1 = #{record.daya1,jdbcType=DECIMAL},
      DAYA2 = #{record.daya2,jdbcType=DECIMAL},
      DAYA3 = #{record.daya3,jdbcType=DECIMAL},
      DAYA4 = #{record.daya4,jdbcType=DECIMAL},
      DAYA5 = #{record.daya5,jdbcType=DECIMAL},
      DAYA6 = #{record.daya6,jdbcType=DECIMAL},
      DAYA7 = #{record.daya7,jdbcType=DECIMAL},
      DAYA8 = #{record.daya8,jdbcType=DECIMAL},
      DAYA9 = #{record.daya9,jdbcType=DECIMAL},
      DAYA10 = #{record.daya10,jdbcType=DECIMAL},
      DAYA11 = #{record.daya11,jdbcType=DECIMAL},
      DAYA12 = #{record.daya12,jdbcType=DECIMAL},
      DAYA13 = #{record.daya13,jdbcType=DECIMAL},
      DAYA14 = #{record.daya14,jdbcType=DECIMAL},
      DAYB1 = #{record.dayb1,jdbcType=DECIMAL},
      DAYB2 = #{record.dayb2,jdbcType=DECIMAL},
      DAYB3 = #{record.dayb3,jdbcType=DECIMAL},
      DAYB4 = #{record.dayb4,jdbcType=DECIMAL},
      DAYB5 = #{record.dayb5,jdbcType=DECIMAL},
      DAYB6 = #{record.dayb6,jdbcType=DECIMAL},
      DAYB7 = #{record.dayb7,jdbcType=DECIMAL},
      DAYB8 = #{record.dayb8,jdbcType=DECIMAL},
      DAYB9 = #{record.dayb9,jdbcType=DECIMAL},
      DAYB10 = #{record.dayb10,jdbcType=DECIMAL},
      DAYB11 = #{record.dayb11,jdbcType=DECIMAL},
      DAYB12 = #{record.dayb12,jdbcType=DECIMAL},
      DAYB13 = #{record.dayb13,jdbcType=DECIMAL},
      DAYB14 = #{record.dayb14,jdbcType=DECIMAL},
      MONTHA1 = #{record.montha1,jdbcType=DECIMAL},
      MONTHA2 = #{record.montha2,jdbcType=DECIMAL},
      MONTHA3 = #{record.montha3,jdbcType=DECIMAL},
      MONTHA4 = #{record.montha4,jdbcType=DECIMAL},
      MONTHA5 = #{record.montha5,jdbcType=DECIMAL},
      MONTHA6 = #{record.montha6,jdbcType=DECIMAL},
      MONTHA7 = #{record.montha7,jdbcType=DECIMAL},
      MONTHA8 = #{record.montha8,jdbcType=DECIMAL},
      MONTHA9 = #{record.montha9,jdbcType=DECIMAL},
      MONTHA10 = #{record.montha10,jdbcType=DECIMAL},
      MONTHA11 = #{record.montha11,jdbcType=DECIMAL},
      MONTHA12 = #{record.montha12,jdbcType=DECIMAL},
      MONTHA13 = #{record.montha13,jdbcType=DECIMAL},
      MONTHA14 = #{record.montha14,jdbcType=DECIMAL},
      MONTHB1 = #{record.monthb1,jdbcType=DECIMAL},
      MONTHB2 = #{record.monthb2,jdbcType=DECIMAL},
      MONTHB3 = #{record.monthb3,jdbcType=DECIMAL},
      MONTHB4 = #{record.monthb4,jdbcType=DECIMAL},
      MONTHB5 = #{record.monthb5,jdbcType=DECIMAL},
      MONTHB6 = #{record.monthb6,jdbcType=DECIMAL},
      MONTHB7 = #{record.monthb7,jdbcType=DECIMAL},
      MONTHB8 = #{record.monthb8,jdbcType=DECIMAL},
      MONTHB9 = #{record.monthb9,jdbcType=DECIMAL},
      MONTHB10 = #{record.monthb10,jdbcType=DECIMAL},
      MONTHB11 = #{record.monthb11,jdbcType=DECIMAL},
      MONTHB12 = #{record.monthb12,jdbcType=DECIMAL},
      MONTHB13 = #{record.monthb13,jdbcType=DECIMAL},
      MONTHB14 = #{record.monthb14,jdbcType=DECIMAL},
      COLUMN_63 = #{record.column63,jdbcType=VARCHAR},
      YEARA1 = #{record.yeara1,jdbcType=DECIMAL},
      YEARA2 = #{record.yeara2,jdbcType=DECIMAL},
      YEARA3 = #{record.yeara3,jdbcType=DECIMAL},
      YEARA4 = #{record.yeara4,jdbcType=DECIMAL},
      YEARA5 = #{record.yeara5,jdbcType=DECIMAL},
      YEARA6 = #{record.yeara6,jdbcType=DECIMAL},
      YEARA7 = #{record.yeara7,jdbcType=DECIMAL},
      YEARA8 = #{record.yeara8,jdbcType=DECIMAL},
      YEARA9 = #{record.yeara9,jdbcType=DECIMAL},
      YEARA10 = #{record.yeara10,jdbcType=DECIMAL},
      YEARA11 = #{record.yeara11,jdbcType=DECIMAL},
      YEARA12 = #{record.yeara12,jdbcType=DECIMAL},
      YEARA13 = #{record.yeara13,jdbcType=DECIMAL},
      YEARA14 = #{record.yeara14,jdbcType=DECIMAL},
      YEARB1 = #{record.yearb1,jdbcType=DECIMAL},
      YEARB2 = #{record.yearb2,jdbcType=DECIMAL},
      YEARB3 = #{record.yearb3,jdbcType=DECIMAL},
      YEARB4 = #{record.yearb4,jdbcType=DECIMAL},
      YEARB5 = #{record.yearb5,jdbcType=DECIMAL},
      YEARB6 = #{record.yearb6,jdbcType=DECIMAL},
      YEARB7 = #{record.yearb7,jdbcType=DECIMAL},
      YEARB8 = #{record.yearb8,jdbcType=DECIMAL},
      YEARB9 = #{record.yearb9,jdbcType=DECIMAL},
      YEARB10 = #{record.yearb10,jdbcType=DECIMAL},
      YEARB11 = #{record.yearb11,jdbcType=DECIMAL},
      YEARB12 = #{record.yearb12,jdbcType=DECIMAL},
      YEARB13 = #{record.yearb13,jdbcType=DECIMAL},
      YEARB14 = #{record.yearb14,jdbcType=DECIMAL},
      WINDPOWERSTATIONID = #{record.windpowerstationid,jdbcType=VARCHAR},
      PROJECTID = #{record.projectid,jdbcType=VARCHAR},
      LINEID = #{record.lineid,jdbcType=VARCHAR}
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByPrimaryKeySelective" parameterType="com.gyee.frame.model.auto.Inputoroutputspeedtotal2">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update inputoroutputspeedtotal2
    <set>
      <if test="windturbineid != null">
        WINDTURBINEID = #{windturbineid,jdbcType=VARCHAR},
      </if>
      <if test="recorddate != null">
        RECORDDATE = #{recorddate,jdbcType=DATE},
      </if>
      <if test="daya1 != null">
        DAYA1 = #{daya1,jdbcType=DECIMAL},
      </if>
      <if test="daya2 != null">
        DAYA2 = #{daya2,jdbcType=DECIMAL},
      </if>
      <if test="daya3 != null">
        DAYA3 = #{daya3,jdbcType=DECIMAL},
      </if>
      <if test="daya4 != null">
        DAYA4 = #{daya4,jdbcType=DECIMAL},
      </if>
      <if test="daya5 != null">
        DAYA5 = #{daya5,jdbcType=DECIMAL},
      </if>
      <if test="daya6 != null">
        DAYA6 = #{daya6,jdbcType=DECIMAL},
      </if>
      <if test="daya7 != null">
        DAYA7 = #{daya7,jdbcType=DECIMAL},
      </if>
      <if test="daya8 != null">
        DAYA8 = #{daya8,jdbcType=DECIMAL},
      </if>
      <if test="daya9 != null">
        DAYA9 = #{daya9,jdbcType=DECIMAL},
      </if>
      <if test="daya10 != null">
        DAYA10 = #{daya10,jdbcType=DECIMAL},
      </if>
      <if test="daya11 != null">
        DAYA11 = #{daya11,jdbcType=DECIMAL},
      </if>
      <if test="daya12 != null">
        DAYA12 = #{daya12,jdbcType=DECIMAL},
      </if>
      <if test="daya13 != null">
        DAYA13 = #{daya13,jdbcType=DECIMAL},
      </if>
      <if test="daya14 != null">
        DAYA14 = #{daya14,jdbcType=DECIMAL},
      </if>
      <if test="dayb1 != null">
        DAYB1 = #{dayb1,jdbcType=DECIMAL},
      </if>
      <if test="dayb2 != null">
        DAYB2 = #{dayb2,jdbcType=DECIMAL},
      </if>
      <if test="dayb3 != null">
        DAYB3 = #{dayb3,jdbcType=DECIMAL},
      </if>
      <if test="dayb4 != null">
        DAYB4 = #{dayb4,jdbcType=DECIMAL},
      </if>
      <if test="dayb5 != null">
        DAYB5 = #{dayb5,jdbcType=DECIMAL},
      </if>
      <if test="dayb6 != null">
        DAYB6 = #{dayb6,jdbcType=DECIMAL},
      </if>
      <if test="dayb7 != null">
        DAYB7 = #{dayb7,jdbcType=DECIMAL},
      </if>
      <if test="dayb8 != null">
        DAYB8 = #{dayb8,jdbcType=DECIMAL},
      </if>
      <if test="dayb9 != null">
        DAYB9 = #{dayb9,jdbcType=DECIMAL},
      </if>
      <if test="dayb10 != null">
        DAYB10 = #{dayb10,jdbcType=DECIMAL},
      </if>
      <if test="dayb11 != null">
        DAYB11 = #{dayb11,jdbcType=DECIMAL},
      </if>
      <if test="dayb12 != null">
        DAYB12 = #{dayb12,jdbcType=DECIMAL},
      </if>
      <if test="dayb13 != null">
        DAYB13 = #{dayb13,jdbcType=DECIMAL},
      </if>
      <if test="dayb14 != null">
        DAYB14 = #{dayb14,jdbcType=DECIMAL},
      </if>
      <if test="montha1 != null">
        MONTHA1 = #{montha1,jdbcType=DECIMAL},
      </if>
      <if test="montha2 != null">
        MONTHA2 = #{montha2,jdbcType=DECIMAL},
      </if>
      <if test="montha3 != null">
        MONTHA3 = #{montha3,jdbcType=DECIMAL},
      </if>
      <if test="montha4 != null">
        MONTHA4 = #{montha4,jdbcType=DECIMAL},
      </if>
      <if test="montha5 != null">
        MONTHA5 = #{montha5,jdbcType=DECIMAL},
      </if>
      <if test="montha6 != null">
        MONTHA6 = #{montha6,jdbcType=DECIMAL},
      </if>
      <if test="montha7 != null">
        MONTHA7 = #{montha7,jdbcType=DECIMAL},
      </if>
      <if test="montha8 != null">
        MONTHA8 = #{montha8,jdbcType=DECIMAL},
      </if>
      <if test="montha9 != null">
        MONTHA9 = #{montha9,jdbcType=DECIMAL},
      </if>
      <if test="montha10 != null">
        MONTHA10 = #{montha10,jdbcType=DECIMAL},
      </if>
      <if test="montha11 != null">
        MONTHA11 = #{montha11,jdbcType=DECIMAL},
      </if>
      <if test="montha12 != null">
        MONTHA12 = #{montha12,jdbcType=DECIMAL},
      </if>
      <if test="montha13 != null">
        MONTHA13 = #{montha13,jdbcType=DECIMAL},
      </if>
      <if test="montha14 != null">
        MONTHA14 = #{montha14,jdbcType=DECIMAL},
      </if>
      <if test="monthb1 != null">
        MONTHB1 = #{monthb1,jdbcType=DECIMAL},
      </if>
      <if test="monthb2 != null">
        MONTHB2 = #{monthb2,jdbcType=DECIMAL},
      </if>
      <if test="monthb3 != null">
        MONTHB3 = #{monthb3,jdbcType=DECIMAL},
      </if>
      <if test="monthb4 != null">
        MONTHB4 = #{monthb4,jdbcType=DECIMAL},
      </if>
      <if test="monthb5 != null">
        MONTHB5 = #{monthb5,jdbcType=DECIMAL},
      </if>
      <if test="monthb6 != null">
        MONTHB6 = #{monthb6,jdbcType=DECIMAL},
      </if>
      <if test="monthb7 != null">
        MONTHB7 = #{monthb7,jdbcType=DECIMAL},
      </if>
      <if test="monthb8 != null">
        MONTHB8 = #{monthb8,jdbcType=DECIMAL},
      </if>
      <if test="monthb9 != null">
        MONTHB9 = #{monthb9,jdbcType=DECIMAL},
      </if>
      <if test="monthb10 != null">
        MONTHB10 = #{monthb10,jdbcType=DECIMAL},
      </if>
      <if test="monthb11 != null">
        MONTHB11 = #{monthb11,jdbcType=DECIMAL},
      </if>
      <if test="monthb12 != null">
        MONTHB12 = #{monthb12,jdbcType=DECIMAL},
      </if>
      <if test="monthb13 != null">
        MONTHB13 = #{monthb13,jdbcType=DECIMAL},
      </if>
      <if test="monthb14 != null">
        MONTHB14 = #{monthb14,jdbcType=DECIMAL},
      </if>
      <if test="column63 != null">
        COLUMN_63 = #{column63,jdbcType=VARCHAR},
      </if>
      <if test="yeara1 != null">
        YEARA1 = #{yeara1,jdbcType=DECIMAL},
      </if>
      <if test="yeara2 != null">
        YEARA2 = #{yeara2,jdbcType=DECIMAL},
      </if>
      <if test="yeara3 != null">
        YEARA3 = #{yeara3,jdbcType=DECIMAL},
      </if>
      <if test="yeara4 != null">
        YEARA4 = #{yeara4,jdbcType=DECIMAL},
      </if>
      <if test="yeara5 != null">
        YEARA5 = #{yeara5,jdbcType=DECIMAL},
      </if>
      <if test="yeara6 != null">
        YEARA6 = #{yeara6,jdbcType=DECIMAL},
      </if>
      <if test="yeara7 != null">
        YEARA7 = #{yeara7,jdbcType=DECIMAL},
      </if>
      <if test="yeara8 != null">
        YEARA8 = #{yeara8,jdbcType=DECIMAL},
      </if>
      <if test="yeara9 != null">
        YEARA9 = #{yeara9,jdbcType=DECIMAL},
      </if>
      <if test="yeara10 != null">
        YEARA10 = #{yeara10,jdbcType=DECIMAL},
      </if>
      <if test="yeara11 != null">
        YEARA11 = #{yeara11,jdbcType=DECIMAL},
      </if>
      <if test="yeara12 != null">
        YEARA12 = #{yeara12,jdbcType=DECIMAL},
      </if>
      <if test="yeara13 != null">
        YEARA13 = #{yeara13,jdbcType=DECIMAL},
      </if>
      <if test="yeara14 != null">
        YEARA14 = #{yeara14,jdbcType=DECIMAL},
      </if>
      <if test="yearb1 != null">
        YEARB1 = #{yearb1,jdbcType=DECIMAL},
      </if>
      <if test="yearb2 != null">
        YEARB2 = #{yearb2,jdbcType=DECIMAL},
      </if>
      <if test="yearb3 != null">
        YEARB3 = #{yearb3,jdbcType=DECIMAL},
      </if>
      <if test="yearb4 != null">
        YEARB4 = #{yearb4,jdbcType=DECIMAL},
      </if>
      <if test="yearb5 != null">
        YEARB5 = #{yearb5,jdbcType=DECIMAL},
      </if>
      <if test="yearb6 != null">
        YEARB6 = #{yearb6,jdbcType=DECIMAL},
      </if>
      <if test="yearb7 != null">
        YEARB7 = #{yearb7,jdbcType=DECIMAL},
      </if>
      <if test="yearb8 != null">
        YEARB8 = #{yearb8,jdbcType=DECIMAL},
      </if>
      <if test="yearb9 != null">
        YEARB9 = #{yearb9,jdbcType=DECIMAL},
      </if>
      <if test="yearb10 != null">
        YEARB10 = #{yearb10,jdbcType=DECIMAL},
      </if>
      <if test="yearb11 != null">
        YEARB11 = #{yearb11,jdbcType=DECIMAL},
      </if>
      <if test="yearb12 != null">
        YEARB12 = #{yearb12,jdbcType=DECIMAL},
      </if>
      <if test="yearb13 != null">
        YEARB13 = #{yearb13,jdbcType=DECIMAL},
      </if>
      <if test="yearb14 != null">
        YEARB14 = #{yearb14,jdbcType=DECIMAL},
      </if>
      <if test="windpowerstationid != null">
        WINDPOWERSTATIONID = #{windpowerstationid,jdbcType=VARCHAR},
      </if>
      <if test="projectid != null">
        PROJECTID = #{projectid,jdbcType=VARCHAR},
      </if>
      <if test="lineid != null">
        LINEID = #{lineid,jdbcType=VARCHAR},
      </if>
    </set>
    where ID = #{id,jdbcType=INTEGER}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.gyee.frame.model.auto.Inputoroutputspeedtotal2">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update inputoroutputspeedtotal2
    set WINDTURBINEID = #{windturbineid,jdbcType=VARCHAR},
      RECORDDATE = #{recorddate,jdbcType=DATE},
      DAYA1 = #{daya1,jdbcType=DECIMAL},
      DAYA2 = #{daya2,jdbcType=DECIMAL},
      DAYA3 = #{daya3,jdbcType=DECIMAL},
      DAYA4 = #{daya4,jdbcType=DECIMAL},
      DAYA5 = #{daya5,jdbcType=DECIMAL},
      DAYA6 = #{daya6,jdbcType=DECIMAL},
      DAYA7 = #{daya7,jdbcType=DECIMAL},
      DAYA8 = #{daya8,jdbcType=DECIMAL},
      DAYA9 = #{daya9,jdbcType=DECIMAL},
      DAYA10 = #{daya10,jdbcType=DECIMAL},
      DAYA11 = #{daya11,jdbcType=DECIMAL},
      DAYA12 = #{daya12,jdbcType=DECIMAL},
      DAYA13 = #{daya13,jdbcType=DECIMAL},
      DAYA14 = #{daya14,jdbcType=DECIMAL},
      DAYB1 = #{dayb1,jdbcType=DECIMAL},
      DAYB2 = #{dayb2,jdbcType=DECIMAL},
      DAYB3 = #{dayb3,jdbcType=DECIMAL},
      DAYB4 = #{dayb4,jdbcType=DECIMAL},
      DAYB5 = #{dayb5,jdbcType=DECIMAL},
      DAYB6 = #{dayb6,jdbcType=DECIMAL},
      DAYB7 = #{dayb7,jdbcType=DECIMAL},
      DAYB8 = #{dayb8,jdbcType=DECIMAL},
      DAYB9 = #{dayb9,jdbcType=DECIMAL},
      DAYB10 = #{dayb10,jdbcType=DECIMAL},
      DAYB11 = #{dayb11,jdbcType=DECIMAL},
      DAYB12 = #{dayb12,jdbcType=DECIMAL},
      DAYB13 = #{dayb13,jdbcType=DECIMAL},
      DAYB14 = #{dayb14,jdbcType=DECIMAL},
      MONTHA1 = #{montha1,jdbcType=DECIMAL},
      MONTHA2 = #{montha2,jdbcType=DECIMAL},
      MONTHA3 = #{montha3,jdbcType=DECIMAL},
      MONTHA4 = #{montha4,jdbcType=DECIMAL},
      MONTHA5 = #{montha5,jdbcType=DECIMAL},
      MONTHA6 = #{montha6,jdbcType=DECIMAL},
      MONTHA7 = #{montha7,jdbcType=DECIMAL},
      MONTHA8 = #{montha8,jdbcType=DECIMAL},
      MONTHA9 = #{montha9,jdbcType=DECIMAL},
      MONTHA10 = #{montha10,jdbcType=DECIMAL},
      MONTHA11 = #{montha11,jdbcType=DECIMAL},
      MONTHA12 = #{montha12,jdbcType=DECIMAL},
      MONTHA13 = #{montha13,jdbcType=DECIMAL},
      MONTHA14 = #{montha14,jdbcType=DECIMAL},
      MONTHB1 = #{monthb1,jdbcType=DECIMAL},
      MONTHB2 = #{monthb2,jdbcType=DECIMAL},
      MONTHB3 = #{monthb3,jdbcType=DECIMAL},
      MONTHB4 = #{monthb4,jdbcType=DECIMAL},
      MONTHB5 = #{monthb5,jdbcType=DECIMAL},
      MONTHB6 = #{monthb6,jdbcType=DECIMAL},
      MONTHB7 = #{monthb7,jdbcType=DECIMAL},
      MONTHB8 = #{monthb8,jdbcType=DECIMAL},
      MONTHB9 = #{monthb9,jdbcType=DECIMAL},
      MONTHB10 = #{monthb10,jdbcType=DECIMAL},
      MONTHB11 = #{monthb11,jdbcType=DECIMAL},
      MONTHB12 = #{monthb12,jdbcType=DECIMAL},
      MONTHB13 = #{monthb13,jdbcType=DECIMAL},
      MONTHB14 = #{monthb14,jdbcType=DECIMAL},
      COLUMN_63 = #{column63,jdbcType=VARCHAR},
      YEARA1 = #{yeara1,jdbcType=DECIMAL},
      YEARA2 = #{yeara2,jdbcType=DECIMAL},
      YEARA3 = #{yeara3,jdbcType=DECIMAL},
      YEARA4 = #{yeara4,jdbcType=DECIMAL},
      YEARA5 = #{yeara5,jdbcType=DECIMAL},
      YEARA6 = #{yeara6,jdbcType=DECIMAL},
      YEARA7 = #{yeara7,jdbcType=DECIMAL},
      YEARA8 = #{yeara8,jdbcType=DECIMAL},
      YEARA9 = #{yeara9,jdbcType=DECIMAL},
      YEARA10 = #{yeara10,jdbcType=DECIMAL},
      YEARA11 = #{yeara11,jdbcType=DECIMAL},
      YEARA12 = #{yeara12,jdbcType=DECIMAL},
      YEARA13 = #{yeara13,jdbcType=DECIMAL},
      YEARA14 = #{yeara14,jdbcType=DECIMAL},
      YEARB1 = #{yearb1,jdbcType=DECIMAL},
      YEARB2 = #{yearb2,jdbcType=DECIMAL},
      YEARB3 = #{yearb3,jdbcType=DECIMAL},
      YEARB4 = #{yearb4,jdbcType=DECIMAL},
      YEARB5 = #{yearb5,jdbcType=DECIMAL},
      YEARB6 = #{yearb6,jdbcType=DECIMAL},
      YEARB7 = #{yearb7,jdbcType=DECIMAL},
      YEARB8 = #{yearb8,jdbcType=DECIMAL},
      YEARB9 = #{yearb9,jdbcType=DECIMAL},
      YEARB10 = #{yearb10,jdbcType=DECIMAL},
      YEARB11 = #{yearb11,jdbcType=DECIMAL},
      YEARB12 = #{yearb12,jdbcType=DECIMAL},
      YEARB13 = #{yearb13,jdbcType=DECIMAL},
      YEARB14 = #{yearb14,jdbcType=DECIMAL},
      WINDPOWERSTATIONID = #{windpowerstationid,jdbcType=VARCHAR},
      PROJECTID = #{projectid,jdbcType=VARCHAR},
      LINEID = #{lineid,jdbcType=VARCHAR}
    where ID = #{id,jdbcType=INTEGER}
  </update>
</mapper>